LIST_FOR_EACH_ENT(9)

NAME
list_for_each_entry_rcu - iterate over rcu list of given type

SYNOPSIS

list_for_each_entry_rcu (pos, head, member);

ARGUMENTS

pos the type * to use as a loop counter.

head
    the head for your list.

member
    the name of the list_struct within the struct.

DESCRIPTION

This list-traversal primitive may safely run concurrently with the _rcu list-mutation primitives such as list_add_rcu as long as the traversal is guarded by rcu_read_lock.